import { Subject } from "rxjs";
import { StiModelService } from "./model.service";
import * as i0 from "@angular/core";
export declare class StiThemeService {
    model: StiModelService;
    private _currentTheme;
    currentThemeSubj: Subject<string>;
    get currentTheme(): string;
    set currentTheme(value: string);
    getIcon(type: string): any;
    changeTheme(): void;
    constructor(model: StiModelService);
    static ɵfac: i0.ɵɵFactoryDeclaration<StiThemeService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<StiThemeService>;
}
